---
title: DELETE
slug: Web/HTTP/Methods/DELETE
tags:
  - HTTP
  - Reference
  - Request method
---
<div>{{HTTPSidebar}}</div>

<p>The <strong>HTTP <code>DELETE</code> request method</strong> deletes the specified resource.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Request has body</th>
   <td>May</td>
  </tr>
  <tr>
   <th scope="row">Successful response has body</th>
   <td>May</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Safe")}}</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Idempotent")}}</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Cacheable")}}</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Allowed in <a href="/en-US/docs/Web/Guide/HTML/Forms">HTML forms</a></th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">DELETE /file.html HTTP/1.1
</pre>

<h2 id="Example">Example</h2>

<h3 id="Request">Request</h3>

<pre>DELETE /file.html HTTP/1.1</pre>

<h3 id="Responses">Responses</h3>

<p>If a <code>DELETE</code> method is successfully applied, there are several response status codes possible:</p>

<ul>
 <li>A {{HTTPStatus("202")}} (<code>Accepted</code>) status code if the action will likely succeed but has not yet been enacted.</li>
 <li>A {{HTTPStatus("204")}} (<code>No Content</code>) status code if the action has been enacted and no further information is to be supplied.</li>
 <li>A {{HTTPStatus("200")}} (<code>OK</code>) status code if the action has been enacted and the response message includes a representation describing the status.</li>
</ul>

<pre>HTTP/1.1 200 OK
Date: Wed, 21 Oct 2015 07:28:00 GMT

&lt;html&gt;
  &lt;body&gt;
    &lt;h1&gt;File deleted.&lt;/h1&gt;
  &lt;/body&gt;
&lt;/html&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7231", "DELETE", "4.3.5")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.methods.DELETE")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>HTTP status: {{HTTPStatus("200")}}, {{HTTPStatus("202")}}, {{HTTPStatus("204")}}</li>
</ul>
